# Neofetch 1.5

### Contributers:

Thanks to the following people for helping me to improve neofetch.

- **[@iandrewt](https://github.com/iandrewt)**
- **[@konimex](https://github.com/konimex)**

### General

- Remove all `echo` usage inside the script.
- More cleanup and misc bug fixes.

### Progress Bars

This has finally been merged to master, a big thanks to **[@iandrewt](https://github.com/iandrewt)** for helping
me finish up with this PR.

![bars](https://ipfs.pics/ipfs/Qmbj8S7pi4CVw12XTawtRwRpLvkiZ9cxRxCUPMLQ1Nhhkb)

- Added progress bar support to CPU, Memory, Disk, Battery.
- Added `progress_char` which allows you to change the character used when drawing the bars.
- Added `progress_length` which allows you to set the max length in spaces of the bars.
- Added `progress_elapsed_color` which sets the elapsed color.
- Added `progress_total_color` which sets the total color.
- Added `--progress_colors` which takes two color values: `elapsed`, `total`.
- Added `cpu_display`, `memory_display`, `disk_display` and `battery_display` which allow you<br \>
to customize where or if the progress bar will appear.
    - Takes these values: `info`, `bar`, `infobar`, `barinfo`

### OS

- Added support for `SteamOS`.

### Images

- Using `xoffset` now also moves the text over.
- Changed default gap size to `2`.

### Packages

- Neofetch is now packaged for `Fedora` and `Fedora` based distros. **[@konimex](https://github.com/konimex)**.
- Added installation instructions for RHEL and CentOS. **[@konimex](https://github.com/konimex)**.
- Added stable package to the AUR. **[neofetch](https://aur.archlinux.org/packages/neofetch/)**

### Info

**OS**<br \>
- [ OXX ] Fix buildversion displaying regardless of on/off. **[@iandrewt](https://github.com/iandrewt)**
- [ OSX ] Added `osx_codename` (on by default) which prints the OSX codename. **[@iandrewt](https://github.com/iandrewt)**

**Disk Usage**<br \>
- Only display usage of local disks.
- Fixed disk usage progress bars when the used value was larger than the total. **[@iandrewt](https://github.com/iandrewt)**

**CPU**<br \>
- Added `cpu_shorthand` to shorten the output of CPU. **[@iandrewt](https://github.com/iandrewt)**
    - Takes these values: `name`, `speed`, `tiny`, `on`, `off`
- Added the ability to print the CPU Usage by using `cpu_display="info"` or `--cpu_display off/on info`.
- Added `cpu_cores` to enable/disable showing the number of CPU cores in the output.

**GPU**<br \>
- Added new `tiny` option to `gpu_shorthand` to further shorten the GPU output. **[@iandrewt](https://github.com/iandrewt)**

**Desktop Environment**<br \>
- Fixed bug where `i3` would show up as both a DE and a WM.

**Birthday**<br \>
- Fixed the birthday function on OS X, it apparently wasn't working from the start. **[@iandrewt](https://github.com/iandrewt)**

**Song**<br \>
- [ OSX ] Added Spotify support to song. **[@iandrewt](https://github.com/iandrewt)**
- [ OSX ] Added Itunes support to song. **[@iandrewt](https://github.com/iandrewt)**
- Fix bug with `song_shorthand` and songs with more than one occurence of `-`.

### Ascii

- Kaos: Update ascii logo to the new logo.
